/*  */
function mode_delete_check(path, sval, mode, ERI) {
	var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act=delcheck&ERI='+ERI;
	var type = true, error = '';
	$.ajaxSetup({ async:false });
	$.get(url, "", function(msg) {
		// console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == "false") {
			error = ret_msg[0].message;
			type = false;
		}
	});
	$.ajaxSetup({ async:true });
	if ((error) && error.length > 0) alert(error);
	return type;
}